<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sale_others_transactions', function (Blueprint $table) {
            $table->unsignedBigInteger('sale_invoice_batch_id')->nullable()->after('sale_invoice_id');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sale_others_transactions', function (Blueprint $table) {
            $table->dropColumn('sale_invoice_batch_id');
        });
    }
};
